<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imwrite</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imshow.html">&lt;&lt; imshow</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="tifread.html">tifread &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration</a> &gt; imwrite</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imwrite</h1>
    <p class="refpurpose">Write image to file</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">ret</span><span class="default">=</span><span class="functionid">imwrite</span><span class="default">(</span><span class="default">im</span><span class="default">, </span><span class="default">filename</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im :</span>
      <dd><p class="para">im can be an M-by-N (greyscale image) or M-by-N-by-3 (color image) matrix. If im is not of class uint8, imwrite will convert the datatype before writing using im2uint8(im) .</p></dd></dt>
   <dt><span class="term">filename :</span>
      <dd><p class="para">A string that specifies the name of the output file.</p></dd></dt>
   <dt><span class="term">ret :</span>
      <dd><p class="para">Return value. If the image is successfully writed into a file, ret will be 1.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imwrite writes a matrix into a image file. The format of the file is inferred from the extension in the filename parameter. Currently the following file formats are supported:</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://rand">rand</a><span class="scilabopenclose">(</span><span class="scilabnumber">200</span><span class="scilabdefault">,</span><span class="scilabnumber">300</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imwrite</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">rand.png</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">rand.png</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imread.html" class="link">imread</a></li>
   <li class="member"><a href="imshow.html" class="link">imshow</a></li>
   <li class="member"><a href="scilab://imfinfo" class="link">imfinfo</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imshow.html">&lt;&lt; imshow</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="tifread.html">tifread &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
